player_fiducial_fov Struct Reference

Request/reply: Get/set sensor field of view. More...

`#include <player_interfaces.h>`

## Public Attributes

float | min_range
| The minimum range of the sensor [m].
float | max_range
| The maximum range of the sensor [m].
float | view_angle
| The receptive angle of the sensor [rad]. More...

## Detailed Description

Request/reply: Get/set sensor field of view.

The field of view of the fiducial device can be set using the PLAYER_FIDUCIAL_REQ_SET_FOV request (response will be null), and queried using a null PLAYER_FIDUCIAL_REQ_GET_FOV request.

## Member Data Documentation

float player_fiducial_fov::view_angle

The receptive angle of the sensor [rad].

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45